const system = require("../../../system");
const Dao = require("../../dao.base");
class TCompanyDao extends Dao {
  constructor() {
    super(Dao.getModelName(TCompanyDao));
  }


  async findMapByIds(ids) {
    var result = {};
    var sql = "SELECT * FROM `t_company` WHERE id IN (:ids)";
    var list = await this.customQuery(sql, {
      ids: ids
    });
    if (!list || list.length == 0) {
      return result;
    }
    for (var item of list) {
      result[item.id] = item;
    }
    return result;
  }
}
module.exports = TCompanyDao;
